unknownt(3)

UnknownType

Inherits from: Exception

Maturity Index: Experimental

Class Description

This is a subclass to signal an unknown type descriptor, specifically for the AsciiFiler class. If a filer scans a decriptor type string that it cannot handle, then it will signal the UnknownType exception.

Method types

Methods

typeDesc
    - ( char ) typeDesc

Returns the unknown type descriptor.

typeDesc:
    - typeDesc :(char) c

Sets the unknown type descriptor.